xdiff_string_bdiff_size
xdiff_string_bpatch
xdiff Functions
PHP Manual

# xdiff_string_bdiff

(PECL xdiff >= 0.2.0)

xdiff_string_bdiff — Make binary diff of two strings

### Description

string xdiff_string_bdiff ( string `$old_data` , string `$new_data` )

Makes a binary diff of two strings and returns the result. This function works with both text and binary data. Resulting patch can be later applied using xdiff_string_bpatch()/xdiff_file_bpatch().

### Parameters

`old_data`

  First string with binary data. It acts as "old" data.

`new_data`

  Second string with binary data. It acts as "new" data.

### Return Values

Returns string with binary diff containing differences between "old" and "new" data or `FALSE` if an internal error occurred.

### See Also

- xdiff_string_bpatch() - Patch a string with a binary diff

xdiff_string_bdiff_size
xdiff_string_bpatch
xdiff Functions
PHP Manual